Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/external/bsd/ipf make this work again. Kill tests and kernel...
details: https://anonhg.NetBSD.org/src/rev/423997f1b8b8
branches: trunk
changeset: 778375:423997f1b8b8
user: christos <christos%NetBSD.org@localhost>
date: Fri Mar 23 21:29:34 2012 +0000
description:
make this work again. Kill tests and kernel module for now
diffstat:
external/bsd/ipf/ipf2netbsd | 283 ++++++++++++++++++++++++++++++++++++++++++++
1 files changed, 283 insertions(+), 0 deletions(-)
diffs (287 lines):
diff -r a188658dcf41 -r 423997f1b8b8 external/bsd/ipf/ipf2netbsd
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/bsd/ipf/ipf2netbsd Fri Mar 23 21:29:34 2012 +0000
@@ -0,0 +1,283 @@
+#! /bin/sh
+#
+# $NetBSD: ipf2netbsd,v 1.1 2012/03/23 21:29:34 christos Exp $
+#
+# Copyright (c) 1999 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# ipf2netbsd: convert a ipf source tree into a netbsd ipf source tree,
+# under src/dist/ipf, src/sys/dist/ipf/netinet, src/sys/lkm/netinet/if_ipl
+# and src/regress/sys/kern/ipf
+
+if [ $# -ne 2 ]; then echo "ipf2netbsd src dest"; exit 1; fi
+
+r=$1
+dest=$2
+
+case "$dest" in
+ /*)
+ ;;
+ *)
+ dest=`/bin/pwd`/$dest
+ ;;
+esac
+
+dbase=$dest/src/external/bsd/ipf/dist
+dsys=$dest/src/sys/external/bsd/ipf/netinet
+#dlkm=$dest/src/sys/lkm/netinet/if_ipl
+#dregress=$dest/src/regress/sys/kern/ipf
+
+case "$r" in
+ /*)
+ ;;
+ *)
+ r=`/bin/pwd`/$r
+ ;;
+esac
+
+echo preparing directory $dbase, $dsys, $dlkm and $dregress
+rm -rf $dbase $dsys $dlkm $dregress
+
+### Copy the files and directories
+mkdir -p $dbase $dsys $dlkm $dregress
+cd $r
+pax -rvw . $dbase
+pax -rvw \
+ fil.c \
+ ip_auth.c \
+ ip_auth.h \
+ ip_compat.h \
+ ip_dns_pxy.c \
+ ip_dstlist.c \
+ ip_dstlist.h \
+ ip_fil.h \
+ ip_fil_compat.c \
+ ip_fil_netbsd.c \
+ ip_frag.c \
+ ip_frag.h \
+ ip_ftp_pxy.c \
+ ip_htable.c \
+ ip_htable.h \
+ ip_ipsec_pxy.c \
+ ip_irc_pxy.c \
+ ip_log.c \
+ ip_lookup.c \
+ ip_lookup.h \
+ ip_nat.c \
+ ip_nat6.c \
+ ip_nat.h \
+ ip_netbios_pxy.c \
+ ip_pool.c \
+ ip_pool.h \
+ ip_pptp_pxy.c \
+ ip_proxy.c \
+ ip_proxy.h \
+ ip_raudio_pxy.c \
+ ip_rcmd_pxy.c \
+ ip_rpcb_pxy.c \
+ ip_scan.c \
+ ip_scan.h \
+ ip_state.c \
+ ip_state.h \
+ ip_sync.c \
+ ip_sync.h \
+ ip_tftp_pxy.c \
+ ipf_rb.h \
+ ipl.h \
+ radix_ipf.c \
+ radix_ipf.h \
+ $dsys
+#pax -rvw mln_ipl.c $dlkm
+#cd $r/test
+#pax -rvw * $dregress
+list="
+4bsd
+AIX
+BSD
+BSDOS
+BSDOS3
+BSDOS4
+COMPILE.2.5
+COMPILE.Solaris2
+FAQ.FreeBSD
+FreeBSD
+FreeBSD-2.2
+FreeBSD-3
+FreeBSD-4.0
+HPUX
+INST.FreeBSD-2.2
+INSTALL.BSDOS
+INSTALL.FreeBSD
+INSTALL.IRIX
+INSTALL.Sol2
+INSTALL.SunOS
+INSTALL.Tru64
+Linux
+IRIX
+OSF
+INSTALL.NetBSD
+INSTALL.Linux
+INSTALL.xBSD
+INSTALL.BSDOS3
+NAT.FreeBSD
+OpenBSD
+OpenBSD-2
+OpenBSD-3
+SunOS4
+SunOS5
+ipsend/.OLD
+BugReport
+IMPORTANT
+IPF.KANJI
+Makefile
+NetBSD
+NetBSD-1.2
+Y2K
+arc4random.c
+bsdinstall
+buildsunos
+fil.c
+hpux.c
+ip_auth.c
+ip_auth.h
+ip_compat.h
+ip_fil.h
+ip_fil_aix.c
+ip_fil_freebsd.c
+ip_fil_hpux.c
+ip_fil_irix.c
+ip_fil_linux.c
+ip_fil_netbsd.c
+ip_fil_openbsd.c
+ip_fil_osf.c
+ip_fil_solaris.c
+ip_fil_sunos4.c
+ip_frag.c
+ip_frag.h
+ip_ftp_pxy.c
+ip_ipsec_pxy.c
+ip_log.c
+ip_nat.c
+ip_nat.h
+ip_netbios_pxy.c
+ip_proxy.c
+ip_proxy.h
+ip_raudio_pxy.c
+ip_rcmd_pxy.c
+ip_state.c
+ip_state.h
+ipl.h
+iplang/Makefile
+ipsd/Makefile
+ipsend/Makefile
+l4check/Makefile
+lib/Makefile
+lib/printiphdr.c
+linux.c
+linux.h
+ml_ipl.c
+mlf_ipl.c
+mlf_rule.c
+mlfk_ipl.c
+mlfk_rule.c
+mlh_rule.c
+mli_ipl.c
+mln_ipl.c
+mlo_ipl.c
+mlo_rule.c
+mls_ipl.c
+mls_rule.c
+mlso_rule.c
+samples/Makefile
+solaris.c
+test/Makefile
+test/expected/Makefile
+tools/Makefile
+tru64.c
+"
+
+### Remove uninteresting bits
+echo "removing extraneous files and directiones."
+(
+ cd ${dbase}
+ find . -name .cvsignore | xargs /bin/rm -f
+ for i in $list;
+do
+ echo "removing $i";
+ /bin/rm -rf "$i"
+ done
+)
+echo done
+
+### Remove the $'s around various RCSIDs
+cleantags $dest
+
+### Add our NetBSD RCS Id
+find $dest -type f -name '*.[chly]' -print | while read c; do
+ sed 1q < $c | grep -q '\$NetBSD' || (
+echo "/* \$NetBSD\$ */" >/tmp/ipf2n$$
+echo "" >>/tmp/ipf2n$$
+cat $c >> /tmp/ipf2n$$
+mv /tmp/ipf2n$$ $c # && echo added RCS tag to $c
+ )
+done
+
+find $dest -type f -name '*.[0-9]' -a \! -name 'example.*' -a \! -name 'ipv6.*' -print | while read m; do
+ sed 1q < $m | grep -q '\$NetBSD' || (
+echo ".\\\" \$NetBSD\$" >/tmp/ipf2m$$
+echo ".\\\"" >>/tmp/ipf2m$$
+ cat $m >> /tmp/ipf2m$$
+ mv /tmp/ipf2m$$ $m # && echo added RCS tag to $m
+ )
+done
+
+find $dest -type f -name 'example.*' -print | while read e; do
+ sed 1q < $e | grep -q '\$NetBSD' || (
+echo "# \$NetBSD\$" >/tmp/ipf2e$$
+ cat $e >> /tmp/ipf2e$$
+ mv /tmp/ipf2e$$ $e # && echo added RCS tag to $e
+ )
+done
+
+echo done
+
+### Clean up any CVS directories that might be around.
+echo "cleaning up CVS residue."
+(
+ cd $dest
+ find . -type d -name "CVS" -print | xargs rm -r
+)
+echo done
+
+### Fixing file and directory permissions.
+echo "Fixing file/directory permissions."
+(
+ cd $dest
+ find . -type f -print | xargs chmod u+rw,go+r
+ find . -type d -print | xargs chmod u+rwx,go+rx
+)
+echo done
+
+exit 0
+
Home |
Main Index |
Thread Index |
Old Index